ImplicitObjectELResolver (JSP 2.3 API Documentation - Apache Tomcat 9.0.119)
Description: declaration: package: javax.servlet.jsp.el, class: ImplicitObjectELResolver

# Class ImplicitObjectELResolver

java.lang.Object
javax.el.ELResolver
javax.servlet.jsp.el.ImplicitObjectELResolver

public class ImplicitObjectELResolver extends javax.el.ELResolver
Provides resolution in EL for the implicit variables of a JSP page.

Since:
  JSP 2.1

- ## Field Summary

  ### Fields inherited from class javax.el.ELResolver

  `RESOLVABLE_AT_DESIGN_TIME, TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImplicitObjectELResolver()`
  Creates an instance of the implicit object resolver for EL.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<String>`
  `getCommonPropertyType(javax.el.ELContext context, Object base)`
  Obtain the most common type that is acceptable for the given base object.
  `Iterator<FeatureDescriptor>`
  `getFeatureDescriptors(javax.el.ELContext context, Object base)`
  Obtain the feature descriptors for the resolvable properties of the given object.
  `Class`
  `getType(javax.el.ELContext context, Object base, Object property)`
  Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
  `Object`
  `getValue(javax.el.ELContext context, Object base, Object property)`
  Obtain the value of the given property on the given object using the given context.
  `boolean`
  `isReadOnly(javax.el.ELContext context, Object base, Object property)`
  Determine if the given property on the given object is read-only using the given context.
  `void`
  `setValue(javax.el.ELContext context, Object base, Object property, Object value)`
  Set the value of the given property on the given object using the given context.

  ### Methods inherited from class javax.el.ELResolver

  `convertToType, invoke`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImplicitObjectELResolver

    public ImplicitObjectELResolver()
    Creates an instance of the implicit object resolver for EL.

- ## Method Details

  - ### getValue

    public Object getValue(javax.el.ELContext context, Object base, Object property)
    Description copied from class: `javax.el.ELResolver`
    Obtain the value of the given property on the given object using the given context.
    Specified by:
      `getValue` in class `javax.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be returned
    Returns:
      the value of the provided property

  - ### getType

    public Class getType(javax.el.ELContext context, Object base, Object property)
    Description copied from class: `javax.el.ELResolver`
    Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
    Specified by:
      `getType` in class `javax.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose type is to be returned
    Returns:
      the most general type that maybe used to set the provided property or `null` if the resolver is read-only.

  - ### setValue

    public void setValue(javax.el.ELContext context, Object base, Object property, Object value)
    Description copied from class: `javax.el.ELResolver`
    Set the value of the given property on the given object using the given context.
    Specified by:
      `setValue` in class `javax.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be set
      `value` - The value to set the property to

  - ### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context, Object base, Object property)
    Description copied from class: `javax.el.ELResolver`
    Determine if the given property on the given object is read-only using the given context.
    Specified by:
      `isReadOnly` in class `javax.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property to be checked for read only status
    Returns:
      `true` if the identified property is read only, otherwise `false`

  - ### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context, Object base)
    Description copied from class: `javax.el.ELResolver`
    Obtain the feature descriptors for the resolvable properties of the given object.
    Specified by:
      `getFeatureDescriptors` in class `javax.el.ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      An iterator, possibly empty, of feature descriptors of the given object

  - ### getCommonPropertyType

    public Class<String> getCommonPropertyType(javax.el.ELContext context, Object base)
    Description copied from class: `javax.el.ELResolver`
    Obtain the most common type that is acceptable for the given base object.
    Specified by:
      `getCommonPropertyType` in class `javax.el.ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      {code null} if the most common type cannot be determine, otherwise the most common type